import { Pztj_CraftStepsAddInput } from './../types/Crafts.d';

import { request } from '@umijs/max';

// 工艺
export default {
    /**
     * 新增
     * @param parms 
     * @returns 
     */
    Add(parms: CraftsTypes.Info) {
        return request('/api/craftsinfo/add', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
    * 删除
    * @param parms 
    * @returns 
    */
    Del(parms: CraftsTypes.craftsInfoDelInput) {
        return request(`/api/craftsinfo/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 修改
     * @param parms 
     * @returns 
     */
    Update(parms: CraftsTypes.Info) {
        return request('/api/craftsinfo/update', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },



    /**
    * 详情
    * @param parms 
    * @returns 
    */
    Detail(id: string) {
        return request(`/api/craftsinfo/detail?id=${id}`, {
            method: 'GET'
        });
    },
    /**
     * 获取列表
     * @param parms 
     * @returns 
     */
    List() {
        return request('/api/craftsinfo/list', {
            method: 'POST'
        });
    },
    /**
    * 未绑定的设备列表
    * @param parms 
    * @returns 
    */
    UnBindList() {
        return request('/api/craftsinfo/UnBindList', {
            method: 'GET'
        });

    },
    /**
     * 分页查询
     * @param parms 
     * @returns 
     */
    PagedList(parms: CraftsTypes.Page) {
        return request('/api/craftsinfo/pagedlist', {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    /**
     * 批量更新
     * @param parms 
     * @returns 
     */
    BatchUpdate(parms: CraftsTypes.BatchAdd) {
        return request('/api/craftsrecipe/batchupdate', {
            method: 'POST',
            data: parms
        });
    },
    // 下拉
    selectlist() {
        return request('/api/craftsinfo/selectlist', {
            method: 'GET',

        })
    },
    BatchAdd(parms :CraftsTypes.Pztj_CraftStepsAddInput[]){
        return request('',{
            method: 'POST',
            data:{...parms}
        })
    },
    //根据工艺查询步骤
    craftsStepPage(parms: CraftsTypes.Pztj_CraftStepsPageInput){
        return request(`/api/craftssteps/pagedlist`, {
            method: 'POST',
            data:{...parms}
        })
    },
    //根据批量更新步骤
    BatchUpdateStep(parms :CraftsTypes.craftsInfoUpdateInput[]){
        return request('/api/craftssteps/batchupdate',{
            method: 'POST',
            data: parms
        })
    },
    //更新步骤
    UpdateStep(parms:CraftsTypes.craftsInfoUpdateInput){
        return request('/api/craftssteps/update',{
            method: 'POST',
            data: parms
        })
    },
      /**
    * 删除
    * @param parms 
    * @returns 
    */
     DelStep(parms: CraftsTypes.craftsInfoDelInput) {
        return request(`/api/craftssteps/del`, {
            method: 'POST',
            data: {
                ...parms,
            },
        });
    },
    //增加步骤
    StepAdd(parms : CraftsTypes.Pztj_CraftStepsAddInput){
        return request('/api/craftssteps/add',{
            method: 'POST',
            data: parms
        })
    }
}

